%global forgeurl https://gitlab.com/Lihis/plantuml-gtk
%global tag 0.1.0

Name:		plantuml-gtk
Version:	%{tag}
Release:	10%{?dist}
Summary:	Simplistic PlantUML editor for GNOME

%forgemeta

License:	GPL-3.0-only
URL:		%{forgeurl}
Group:		Development/Tools
Source:		%{forgesource}
Requires:	plantuml

BuildRequires: meson
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: gtkmm30-devel
BuildRequires: gtksourceviewmm3-devel

%description
%{summary}

%global debug_package %{nil}

%prep
%forgesetup

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%{_bindir}/plantuml-gtk
%{_datadir}/appdata/net.lihis.plantuml-gtk.appdata.xml
%{_datadir}/applications/net.lihis.plantuml-gtk.desktop
%{_datadir}/glib-2.0/schemas/net.lihis.plantuml-gtk.gschema.xml
%{_datadir}/mime/packages/net.lihis.plantuml-gtk.xml

%changelog
%autochangelog
